Read bounded normalized inference and lifecycle evidence
GET
/
api
/
v1
/
endpoints
/
{name}
/
monitoring
Read bounded normalized inference and lifecycle evidence
curl --request GET \
--url http://127.0.0.1:18000/api/v1/endpoints/{name}/monitoring \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:18000/api/v1/endpoints/{name}/monitoring"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:18000/api/v1/endpoints/{name}/monitoring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/endpoints/{name}/monitoring"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"breakdowns": [
{
"binding": "<string>",
"deployment": "<string>",
"error_rate": 123,
"errors": 1,
"fallbacks": 1,
"last_seen_at": "2023-11-07T05:31:56Z",
"p95_latency_ms": 123,
"p95_ttft_ms": 123,
"provider": "<string>",
"requests": 1,
"revision": "<string>",
"runtime": "<string>"
}
],
"bucket_seconds": 61,
"endpoint": "<string>",
"environment": "<string>",
"events": [
{
"details": {},
"kind": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"type": "<string>"
}
],
"evidence": {
"available": [
"<string>"
],
"content_recorded": false,
"fresh": true,
"latest_request_at": "2023-11-07T05:31:56Z",
"measurements": [
{
"availability": "available",
"evidence_class": "measured",
"fresh_until": "2023-11-07T05:31:56Z",
"name": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"sample_count": 1,
"source": "<string>",
"unit": "<string>",
"value": 123,
"reason": "<string>"
}
],
"sample_count": 1,
"semantic_convention_schema": "<string>",
"source": "<string>",
"unavailable": [
"<string>"
]
},
"logical_model": "<string>",
"series": [
{
"error_rate": 123,
"errors": 1,
"fallback_rate": 123,
"fallbacks": 1,
"input_token_samples": 1,
"input_tokens": 1,
"input_tokens_per_second": 123,
"output_token_samples": 1,
"output_tokens": 1,
"output_tokens_per_second": 123,
"p50_latency_ms": 123,
"p50_ttft_ms": 123,
"p95_generation_ms": 123,
"p95_latency_ms": 123,
"p95_queue_ms": 123,
"p95_ttft_ms": 123,
"requests": 1,
"requests_per_second": 1,
"retried": 1,
"started_at": "2023-11-07T05:31:56Z",
"streaming": 1,
"token_usage_samples": 1
}
],
"summary": {
"error_rate": 123,
"errors": 1,
"fallback_rate": 123,
"fallbacks": 1,
"input_token_samples": 1,
"input_tokens": 1,
"input_tokens_per_second": 123,
"output_token_samples": 1,
"output_tokens": 1,
"output_tokens_per_second": 123,
"p50_latency_ms": 123,
"p50_ttft_ms": 123,
"p95_generation_ms": 123,
"p95_latency_ms": 123,
"p95_queue_ms": 123,
"p95_ttft_ms": 123,
"requests": 1,
"requests_per_second": 1,
"retried": 1,
"retry_rate": 123,
"streaming": 1,
"token_usage_samples": 1
},
"window_end": "2023-11-07T05:31:56Z",
"window_start": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Response
Success
Maximum array length:
50Show child attributes
Show child attributes
Required range:
x >= 60Maximum array length:
200Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum array length:
500Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Read bounded normalized inference and lifecycle evidence
curl --request GET \
--url http://127.0.0.1:18000/api/v1/endpoints/{name}/monitoring \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:18000/api/v1/endpoints/{name}/monitoring"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:18000/api/v1/endpoints/{name}/monitoring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/endpoints/{name}/monitoring"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"breakdowns": [
{
"binding": "<string>",
"deployment": "<string>",
"error_rate": 123,
"errors": 1,
"fallbacks": 1,
"last_seen_at": "2023-11-07T05:31:56Z",
"p95_latency_ms": 123,
"p95_ttft_ms": 123,
"provider": "<string>",
"requests": 1,
"revision": "<string>",
"runtime": "<string>"
}
],
"bucket_seconds": 61,
"endpoint": "<string>",
"environment": "<string>",
"events": [
{
"details": {},
"kind": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"type": "<string>"
}
],
"evidence": {
"available": [
"<string>"
],
"content_recorded": false,
"fresh": true,
"latest_request_at": "2023-11-07T05:31:56Z",
"measurements": [
{
"availability": "available",
"evidence_class": "measured",
"fresh_until": "2023-11-07T05:31:56Z",
"name": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"sample_count": 1,
"source": "<string>",
"unit": "<string>",
"value": 123,
"reason": "<string>"
}
],
"sample_count": 1,
"semantic_convention_schema": "<string>",
"source": "<string>",
"unavailable": [
"<string>"
]
},
"logical_model": "<string>",
"series": [
{
"error_rate": 123,
"errors": 1,
"fallback_rate": 123,
"fallbacks": 1,
"input_token_samples": 1,
"input_tokens": 1,
"input_tokens_per_second": 123,
"output_token_samples": 1,
"output_tokens": 1,
"output_tokens_per_second": 123,
"p50_latency_ms": 123,
"p50_ttft_ms": 123,
"p95_generation_ms": 123,
"p95_latency_ms": 123,
"p95_queue_ms": 123,
"p95_ttft_ms": 123,
"requests": 1,
"requests_per_second": 1,
"retried": 1,
"started_at": "2023-11-07T05:31:56Z",
"streaming": 1,
"token_usage_samples": 1
}
],
"summary": {
"error_rate": 123,
"errors": 1,
"fallback_rate": 123,
"fallbacks": 1,
"input_token_samples": 1,
"input_tokens": 1,
"input_tokens_per_second": 123,
"output_token_samples": 1,
"output_tokens": 1,
"output_tokens_per_second": 123,
"p50_latency_ms": 123,
"p50_ttft_ms": 123,
"p95_generation_ms": 123,
"p95_latency_ms": 123,
"p95_queue_ms": 123,
"p95_ttft_ms": 123,
"requests": 1,
"requests_per_second": 1,
"retried": 1,
"retry_rate": 123,
"streaming": 1,
"token_usage_samples": 1
},
"window_end": "2023-11-07T05:31:56Z",
"window_start": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}